Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class RegistryException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--com.caucho.util.RegistryException

All Implemented Interfaces:
  ExceptionWrapper, java.io.Serializable

public class RegistryException
extends java.io.IOException
implements ExceptionWrapper

Base class for configuration exceptions. Thrown by RegistryNode classes.

See Also:
  Serialized Form

Constructor Summary
`RegistryException()` Create a null exception
`RegistryException(java.lang.String msg)` Creates an exception with a message
`RegistryException(java.lang.String msg, java.lang.Throwable e)` Wraps an exception in the config exception
`RegistryException(java.lang.Throwable e)` Wraps an exception in the config exception

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the root cause, if any.
`void` | `printStackTrace()` Prints the stack trace, preferring the root cause if it exists.
`void` | `printStackTrace(java.io.PrintStream os)` Prints the stack trace, preferring the root cause if it exists.
`void` | `printStackTrace(java.io.PrintWriter os)` Prints the stack trace, preferring the root cause if it exists.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistryException

    public RegistryException()

  Create a null exception

### RegistryException

    public RegistryException(java.lang.String msg)

  Creates an exception with a message

### RegistryException

    public RegistryException(java.lang.String msg,
                             java.lang.Throwable e)

  Wraps an exception in the config exception

### RegistryException

    public RegistryException(java.lang.Throwable e)

  Wraps an exception in the config exception

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the root cause, if any.
  Specified by:
    `getRootCause` in interface `ExceptionWrapper`

### printStackTrace

    public void printStackTrace()

  Prints the stack trace, preferring the root cause if it exists.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream os)

  Prints the stack trace, preferring the root cause if it exists.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter os)

  Prints the stack trace, preferring the root cause if it exists.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD